summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDennis Lamm <expeditioneer@gentoo.org>2020-12-22 07:42:20 +0100
committerDennis Lamm <expeditioneer@gentoo.org>2021-01-05 12:19:12 +0100
commitcd21f130fb8cfad454a207e682a60897ab7a3eaf (patch)
tree49bb8a17525b87d098b6b02298fce9d5e0c8fabe
parentdev-python/roman: Mark ALLARCHES (diff)
downloadgentoo-cd21f130fb8cfad454a207e682a60897ab7a3eaf.tar.gz
gentoo-cd21f130fb8cfad454a207e682a60897ab7a3eaf.tar.bz2
gentoo-cd21f130fb8cfad454a207e682a60897ab7a3eaf.zip
media-libs/qhull: version bump
Signed-off-by: Dennis Lamm <expeditioneer@gentoo.org>
-rw-r--r--media-libs/qhull/Manifest1
-rw-r--r--media-libs/qhull/qhull-2020.2.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/media-libs/qhull/Manifest b/media-libs/qhull/Manifest
index 92eb25e0562..5290493785d 100644
--- a/media-libs/qhull/Manifest
+++ b/media-libs/qhull/Manifest
@@ -1 +1,2 @@
DIST qhull-2015.2.tar.gz 1010153 BLAKE2B 854d1897ad5a92b2e13f6b2304d707b21023a47d60fcc7065b487c24dad06fa016536311e224155b879ad699c046f15991a840f5f04283ffdeef8a68dfbf7c15 SHA512 a544f88b5fbabc592fdc4c5533ba58a8f856e018b85128f43d0532a1143123ceb0d5ca9ae1d27722efa5d08092c017bf7715c157d1019f447e6746f23f02dcd4
+DIST qhull-2020.2.tar.gz 1307213 BLAKE2B db11d4b83124da3ceed95e1eb81c280ac55c871c83acd4c371f9716b57a1777105891a073282789c7a80b5d74e85164996fbe4f2140c8371bca5926eab4adbc2 SHA512 88f50c2a968f56deec61772490617cc877b0ca2d804954ade08297b9bab826076db6b960d6f1feb21c6851e5328cb11c6dd565666517fa78a3d65b901848ff36
diff --git a/media-libs/qhull/qhull-2020.2.ebuild b/media-libs/qhull/qhull-2020.2.ebuild
new file mode 100644
index 00000000000..25c4e7d784d
--- /dev/null
+++ b/media-libs/qhull/qhull-2020.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DESCRIPTION="Geometry library"
+HOMEPAGE="http://www.qhull.org"
+SRC_URI="https://github.com/qhull/qhull/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="doc static-libs"
+
+DOCS=( Announce.txt File_id.diz README.txt REGISTER.txt )
+
+src_prepare() {
+ if ! use doc ; then
+ sed -i \
+ -e '/^install(DIRECTORY html/d' \
+ -e '/^[[:blank:]]*index.htm/d' \
+ CMakeLists.txt || die
+ fi
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ CMAKE_BUILD_TYPE=Release
+
+ mycmakeargs+=(
+ -DBUILD_STATIC_LIBS=$(usex static-libs)
+ -DDOC_INSTALL_DIR="${EPREFIX}"/usr/share/doc/${PF}
+ -DLIB_INSTALL_DIR="${EPREFIX}/usr/$(get_libdir)"
+ )
+ cmake_src_configure
+}